<!-- THIS PART OF THIS FILE IS AUTOGENERATED. DO NOT MODIFY IT. See scripts/generate-docs.sh -->
# find-fake-fast

```text
usage: find-fake-fast [-h] [--align] [--glibc-fastbin-bug]
                      [--partial-overwrite]
                      target_address [max_candidate_size]

```

Find candidate fake fast or tcache chunks overlapping the specified address.
### Positional arguments

|Positional Argument|Help|
| :--- | :--- |
|target_address|Address of the word-sized value to overlap.|
|max_candidate_size|Maximum size of fake chunks to find.|

### Optional arguments

|Short|Long|Help|
| :--- | :--- | :--- |
|-h|--help|show this help message and exit|
|-a|--align|Whether the fake chunk must be aligned to MALLOC_ALIGNMENT. This is required for tcache chunks and for all chunks when Safe Linking is enabled|
|-b|--glibc-fastbin-bug|Does the GLIBC fastbin size field bug affect the candidate size field width?|
|-p|--partial-overwrite|Consider partial overwrite candidates, default behavior only shows word-size overwrites.|

<!-- END OF AUTOGENERATED PART. Do not modify this line or the line below, they mark the end of the auto-generated part of the file. If you want to extend the documentation in a way which cannot easily be done by adding to the command help description, write below the following line. -->
<!-- ------------\>8---- ----\>8---- ----\>8------------ -->
